<template>
    <div>
        <ProjectForm v-bind:project="project" v-bind:technicals="technicals" v-bind:commercials="commercials" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></ProjectForm>
    </div>
</template>

<script>
import ProjectForm from './Project.Form';
import { editProject, deleteProject } from '@/api/projects.service.js';
export default {
    computed: {
        project() {
            return this.$store.getters.getCurrentProject;
        },
        technicals() {
            return this.$store.getters.getAllDevelopers;
        },
        commercials() {
            return this.$store.getters.getAllCommercials;
        }
    },
    components: {
        ProjectForm
    },
    created() {
        this.$store.dispatch('getAllUsers');
        this.$store.dispatch('setProjectById', this.$route.params.id);
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            editProject(this.project._id, this.project).then(() => {
                this.$router.go(-1);
            });
        },
        remove() {
            deleteProject(this.project._id).then(() => {
                this.$router.go(-1);
            });
        }
    }
}
</script>

<style>

</style>
